Package com.zfabrik.util.internal

## Class NamingProvisioningHolder

- java.lang.Object
- - com.zfabrik.util.internal.NamingProvisioningHolder

-     public class NamingProvisioningHolder
      extends java.lang.Object

  Previously the naming system integration with Z2 worked via registration of an InitialContextFactoryBuilder and an ObjectFactoryBuilder directly with the Naming Manager. That can be done once only per life time of a VM and is hence not very embedding friendly. Now we register only a convenient access to the Z2 naming system extension mechanism by allowing a lookup for a URLContextFactory and an InitialContextFactory as provided by naming extensions. These lookups can be used by standard URL handlers etc to delegate to Z2 provided extensions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `NamingProvisioningHolder.NamingProvisioning` | Interface registered by the Z2 hosted naming system implementation

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NamingProvisioningHolder` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamingProvisioningHolder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.naming.spi.InitialContextFactory` | `findInitialContextFactory​(java.lang.String initCtxtFactoryName, java.util.Hashtable<?,​?> env)` | Find an InitialContextFactory given the name and env.
    `static javax.naming.spi.ObjectFactory` | `findURLContextFactory​(java.lang.String scheme, java.util.Hashtable<?,​?> env)` | Find a URL Context Factory for the schema and env.
    `NamingProvisioningHolder.NamingProvisioning` | `getNaming()` | Never returns null.
    `void` | `setNaming​(NamingProvisioningHolder.NamingProvisioning naming)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static NamingProvisioningHolder INSTANCE

  - ### Constructor Detail

    - #### NamingProvisioningHolder

          public NamingProvisioningHolder()

  - ### Method Detail

    - #### setNaming

          public void setNaming​(NamingProvisioningHolder.NamingProvisioning naming)

    - #### getNaming

          public NamingProvisioningHolder.NamingProvisioning getNaming()
                                                                throws javax.naming.NamingException

      Never returns null.
      Throws:
        `javax.naming.NamingException`

    - #### findInitialContextFactory

          public static javax.naming.spi.InitialContextFactory findInitialContextFactory​(java.lang.String initCtxtFactoryName,
                                                                                         java.util.Hashtable<?,​?> env)
                                                                                  throws javax.naming.NamingException

      Find an InitialContextFactory given the name and env. Never returns null.
      Throws:
        `javax.naming.NamingException`

    - #### findURLContextFactory

          public static javax.naming.spi.ObjectFactory findURLContextFactory​(java.lang.String scheme,
                                                                             java.util.Hashtable<?,​?> env)
                                                                      throws javax.naming.NamingException

      Find a URL Context Factory for the schema and env. Never returns null.
      Throws:
        `javax.naming.NamingException`